commit:     953b3b21db55df987dd8006dcdec19e945294d98
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 20 22:44:21 2019 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri Sep 20 22:44:21 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=953b3b21

sys-apps/nix: change 'etc_profile' to 'etc-profile'

Reported-by: Michał Górny
Closes: https://bugs.gentoo.org/695114
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 sys-apps/nix/metadata.xml     | 2 +-
 sys-apps/nix/nix-2.2.2.ebuild | 8 ++++----
 sys-apps/nix/nix-2.3.ebuild   | 8 ++++----
 3 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/sys-apps/nix/metadata.xml b/sys-apps/nix/metadata.xml
index c7035d7472f..ebcafee28da 100644
--- a/sys-apps/nix/metadata.xml
+++ b/sys-apps/nix/metadata.xml
@@ -6,7 +6,7 @@
                <name>Sergei Trofimovich</name>
        </maintainer>
        <use>
-               <flag name="etc_profile">Install /etc/profile.d/ entry to 
inject nix support for all users.</flag>
+               <flag name="etc-profile">Install /etc/profile.d/ entry to 
inject nix support for all users.</flag>
                <flag name="gc">Enable garbage collection in the Nix expression 
evaluator (use <pkg>dev-libs/boehm-gc</pkg>).</flag>
                <flag name="s3">Enable Amazon S3 bucket to load and store 
packages (use <pkg>dev-libs/aws-sdk-cpp</pkg>).</flag>
                <flag name="sodium">Use <pkg>dev-libs/libsodium</pkg> for 
cryptography</flag>

diff --git a/sys-apps/nix/nix-2.2.2.ebuild b/sys-apps/nix/nix-2.2.2.ebuild
index 583f372e75c..bf830733800 100644
--- a/sys-apps/nix/nix-2.2.2.ebuild
+++ b/sys-apps/nix/nix-2.2.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://nixos.org/releases/${PN}/${P}/${P}.tar.xz";
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="+etc_profile +gc doc s3 +sodium"
+IUSE="+etc-profile +gc doc s3 +sodium"
 
 # sys-apps/busybox is needed for sandbox mount of /bin/sh
 RDEPEND="
@@ -128,15 +128,15 @@ src_install() {
 
        newinitd "${FILESDIR}"/nix-daemon.initd nix-daemon
 
-       if ! use etc_profile; then
+       if ! use etc-profile; then
                rm "${ED}"/etc/profile.d/nix.sh || die
                rm "${ED}"/etc/profile.d/nix-daemon.sh || die
        fi
 }
 
 pkg_postinst() {
-       if ! use etc_profile; then
-               ewarn "${EROOT}/etc/profile.d/nix.sh was removed (due to 
USE=-etc_profile)."
+       if ! use etc-profile; then
+               ewarn "${EROOT}/etc/profile.d/nix.sh was removed (due to 
USE=-etc-profile)."
        fi
 
        readme.gentoo_print_elog

diff --git a/sys-apps/nix/nix-2.3.ebuild b/sys-apps/nix/nix-2.3.ebuild
index 448e5bbc051..2a368774542 100644
--- a/sys-apps/nix/nix-2.3.ebuild
+++ b/sys-apps/nix/nix-2.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://nixos.org/releases/${PN}/${P}/${P}.tar.xz";
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="+etc_profile +gc doc s3 +sodium"
+IUSE="+etc-profile +gc doc s3 +sodium"
 
 # sys-apps/busybox is needed for sandbox mount of /bin/sh
 RDEPEND="
@@ -122,15 +122,15 @@ src_install() {
 
        newinitd "${FILESDIR}"/nix-daemon.initd nix-daemon
 
-       if ! use etc_profile; then
+       if ! use etc-profile; then
                rm "${ED}"/etc/profile.d/nix.sh || die
                rm "${ED}"/etc/profile.d/nix-daemon.sh || die
        fi
 }
 
 pkg_postinst() {
-       if ! use etc_profile; then
-               ewarn "${EROOT}/etc/profile.d/nix.sh was removed (due to 
USE=-etc_profile)."
+       if ! use etc-profile; then
+               ewarn "${EROOT}/etc/profile.d/nix.sh was removed (due to 
USE=-etc-profile)."
        fi
 
        readme.gentoo_print_elog

Reply via email to